<?php
	include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");
	include_once(realpath(dirname(__FILE__)) . "/../../../classes/Variable.class.php");
	include_once(realpath(dirname(__FILE__)) . "/../../../classes/Produit.class.php");
	


	class Boutons_admin extends PluginsClassiques{

			function __construct(){
				parent::__construct("boutons_admin");
			}

			function init(){
				$this->ajout_desc("Ajoute des boutons d'adminsitration sur les pages publiques du site","desc ", 1);
			}

			function analyse()
			{
			global $res, $fond, $zpage, $boutons;
				if(!empty($_SESSION['util'])){
				  $admin=1;
				}
				else{
				  $admin="0";
				  return;
				}

                if($zpage!=''){				
				$fond_boutons = $zpage;
                }
                else{
				$fond_boutons = $fond;                
                }

				//Trouver le repertoire d'admin en recherchant le fichier accueil.php
				/**
				 * Recherche d'un fichier dans un dossier et son arborescence
				 * @param str $dir dossier ou chercher
				 * @param str $filename nom du fichier a chercher
				 * @return str chemin complet du fichier ou bool false si introuvable
				 */
				function searchFile($dir,$filename)
				{
					//si pas de slash final on l'ajoute
					$last = $dir[strlen($dir)-1];
					if($last != '/' && $last != '\\') {
						$dir .= '/';
					}
					//chargement dossier
					$filelist = new DirectoryIterator($dir);
					//on boucle le contenu
					foreach($filelist as $file) {
						//si . ou .. on zappe
						if ($file->isDot()) {
							continue;
						}
						//si dir on explore
						if($file->isDir()) {
							//si on trouve on renvoi
							if($res_chercher = searchFile($dir.$file->getFilename(),$filename)) {
								return $res_chercher;
							//sinon on continue
							} else {
								continue;
							}
						}
						//si on a un fichier correspondant à ce qu'on cherche, on le renvoi
						if($file->getFilename() == $filename) {
							return $dir.$file->getFilename();
						}
					}
					//si on a rien trouvé on renvoi faux
					return false;
				}


				$chemin_admin = searchFile("./","accueil.php");
				$rep_admin = dirname($chemin_admin);

				$id_dossier = lireParam('id_dossier', 'int');
				$id_contenu = lireParam('id_contenu', 'int');				
				$id_produit = lireParam('id_produit', 'int');
				$id_rubrique = lireParam('id_rubrique', 'int');

				if($fond_boutons=='rubrique'){
					$boutons = '<div id="boutons_admin_ouvrir"></div><div id="boutons_admin"><div id="boutons_admin_fermer"></div>
					<a href="'.$rep_admin.'/rubrique_modifier.php?id='.$id_rubrique.'">Modifier cette rubrique</a><br />
					<a href="'.$rep_admin.'/produit_modifier.php?rubrique='.$id_rubrique.'">Ajouter un produit</a><br />				
					<a href="'.$rep_admin.'/rubrique_modifier.php?parent='.$id_rubrique.'">Ajouter une sous-rubrique</a><br />				
					<a href="'.$rep_admin.'/parcourir.php?parent='.$id_rubrique.'">Voir les sous-rubriques</a><br />
					</div>';
				}
				elseif($fond_boutons=='produit') {
					$produit = new Produit();
					$produit->charger_id($id_produit);
					$boutons = '<div id="boutons_admin_ouvrir"></div><div id="boutons_admin"><div id="boutons_admin_fermer"></div>
					<a href="'.$rep_admin.'/produit_modifier.php?&ref='.$produit->ref.'">Modifier ce produit</a>
					</div>';			
				}
				elseif($fond_boutons=='dossier') {
					$boutons = '<div id="boutons_admin_ouvrir"></div><div id="boutons_admin"><div id="boutons_admin_fermer"></div>>
					<a	href="'.$rep_admin.'/dossier_modifier.php?id='.$id_dossier.'">Modifier ce dossier</a>
					<a href="'.$rep_admin.'/contenu_modifier.php?dossier='.$id_dossier.'">Ajouter un contenu</a><br />
					</div>';				
				}
				elseif($fond_boutons=='contenu'){
					$boutons = '<div id="boutons_admin_ouvrir"></div><div id="boutons_admin"><div id="boutons_admin_fermer"></div>
					<a href="'.$rep_admin.'/contenu_modifier.php?id='.$id_contenu.'">Modifier ce contenu</a>
					</div>';				
				}
				else {
					
				}
				$res = str_replace('<body>', '<body>'.$boutons, $res);			
			
			return $res;
			}

			function post(){
			global $res;
				$insert = '<link href="../client/plugins/boutons_admin/boutons_admin.css" rel="stylesheet" type="text/css" />';
				$insert .= "\n".'<script src="../client/plugins/boutons_admin/boutons_admin.js" type="text/javascript"></script>';	

				$res = str_replace('</head>', $insert.'</head>', $res);			
			
			return $res;	
			}			

	}
?>
